<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('demensi_kokurikuler', function (Blueprint $table) {
            $table->id();
            $table->string('nama_demensi');
            $table->string('sub_demensi')->nullable();
            $table->text('berkembang')->nullable();
            $table->text('cakap')->nullable();
            $table->text('mahir')->nullable();
            $table->string('tahun_pelajaran')->nullable();
            $table->string('semester')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('demensi_kokurikuler');
    }
};
